This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 134644 - OS sees two disks when there is only one RAID1 Logical drive
OS sees two disks when there is only one RAID1 Logical drive
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: parted (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-05 08:29 EDT by Paul McWatt
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-05 10:42:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul McWatt 2004-10-05 08:29:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
I have an IBM x226 server with onboard Adaptec HostRAID SATA 
controller. I have two disks installed - i have used the Adaptec 
Utility and the IBM ServeRAID utility to create a RAID1 array with 
the two disks. When the system boots the Adaptec BIOS sees 1 logical 
drive in the RAID1 array.
When i install FC2, disk druid sees two disks and when installation 
is complete fdisk sees two disks.
lsmod shows the driver loaded at ata-piix

If i shut down the system and remove one of the disks i get a kernel 
panic upon restart.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Create hardware raid1 with two disks on IBM x226 or any other Intel 
CPU based system with the Adaptec HostRAID SATA controller
2.Install FC2
3.Check fdisk - you will see two disks
    

Actual Results:  You will see two disks

Expected Results:  Should only see one disk

Additional info:
Comment 1 Jeremy Katz 2004-10-05 10:42:41 EDT
We don't support the HostRAID RAID format right now and only see the
individual drives as the kernel only very recently grew a way for
dealing with this (via dmraid which then requires a reasonable amount
of work to integrate into the installer)

Note You need to log in before you can comment on or make changes to this bug.